defmodule LinkShortenerWeb.Api.V1.LinksController do
  use LinkShortenerWeb, :controller

  alias LinkShortener.Links

  action_fallback LinkShortenerWeb.FallbackController

  def index(conn, _params) do
    links = Links.get_all({})
    render(conn, "index.json", links: links)
  end

  def show(conn, %{"id" => id}) do
    link = Links.get_one(id)
    render(conn, "show.json", links: link)
  end
end
